import {
  toReactNodes
} from "./chunk-OYIPFTQC.js";
import {
  StyledCode,
  getPropDefaults
} from "./chunk-CKO5XQTU.js";
import {
  __spreadProps,
  __spreadValues
} from "./chunk-W7FAWX6T.js";

// src/components/typography/Code.tsx
import { jsx } from "@emotion/react/jsx-runtime";
function Code(props) {
  const propsWithDefaults = getPropDefaults(props);
  let reactNodes = props.children || null;
  if (props.content) {
    reactNodes = toReactNodes(props.content);
  }
  return /* @__PURE__ */ jsx(StyledCode, __spreadProps(__spreadValues({}, propsWithDefaults), { children: reactNodes }));
}

export {
  Code
};
